package com.mtgg.bean;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.context.annotation.PropertySource;
import org.springframework.stereotype.Component;

@Data
@Component
@PropertySource("classpath:source/config.properties")
@ConfigurationProperties(prefix = "config")
public class ConfigBean {

    //支付宝
    private String appId;

    private String privateKey;

    private String publicKey;

    private String serverUrl;

    private String domain;

    //微信
    private String wxAppId;

    private String wxSecret;

    private String wxMchId;

    private String wxPartnerKey;

    private String wxNotifyUrl;


    private String excelUrl;

}
