package com.mtgg.common;

import org.springframework.web.HttpRequestMethodNotSupportedException;
import org.springframework.web.bind.annotation.ControllerAdvice;
import org.springframework.web.bind.annotation.ExceptionHandler;
import org.springframework.web.servlet.ModelAndView;


/**
 * @Author: MTGG  极端之美
 * @Date: 22:15 2018/4/20
 * @Describe:
 */
@ControllerAdvice
public class DefaultExceptionHandler {
    @ExceptionHandler(Exception.class)
    public ModelAndView exceptionHandler(Exception e) {
        ModelAndView mv = new ModelAndView();
        if (e instanceof HttpRequestMethodNotSupportedException) {
            mv.setViewName("Exception");
            return mv;
        } else {
            mv.setViewName("Exception");
            return mv;
        }
    }
}