package com.mtgg.dao;

import com.mtgg.entity.MtRecordPO;
import com.mtgg.utils.PageDataDTO;

import java.util.List;

public interface BatisMapper extends BaseMapper<MtRecordPO> {

    int getCount();

    List<MtRecordPO> getList(PageDataDTO pageDataDTO);

    int getCountByStatus();

    /**
     * @Author: MTGG
     * @Date: 17:52 2018/7/20
     * @Describe: 查询money  sum
     */
    int getTotalMoney();

    /**
     * @Author: MTGG
     * @Date: 18:55 2018/7/20
     * @Describe: 根据订单号查
     */
    MtRecordPO getByOrderSn(String orderSn);

    /**
     * @Author: MTGG
     * @Date: 17:33 2018/7/20
     * @Describe: 根据id更新
     */
    int updateById(MtRecordPO mtRecordPO);

    /**
     * @Author: MTGG
     * @Date: 18:07 2018/7/20
     * @Describe: insert
     */
    int insertSelective(MtRecordPO mtRecordPO);

}
