package com.mtgg.service;
		
import com.mtgg.bean.ADTO;
import com.mtgg.bean.User;
import com.mtgg.dto.MtRecordDTO;
import com.mtgg.entity.MtRecordPO;
import com.mtgg.utils.PageDataDTO;

import java.util.List;

public interface BatisService extends BaseService<MtRecordPO> {

    int getCount();

    /**
     * @Author: MTGG
     * @Date: 17:52 2018/7/20
     * @Describe: 查询列表
     */
    List<MtRecordDTO> getList(PageDataDTO pageDataDTO);

    int getCountByStatus();

    /**
     * @Author: MTGG
     * @Date: 18:55 2018/7/20
     * @Describe: 根据订单号查
     */
    MtRecordDTO getByOrderSn(String orderSn);

    /**
     * @Author: MTGG
     * @Date: 17:52 2018/7/20
     * @Describe: 更新状态
     */
    int updateById(MtRecordPO mtRecordPO);

    /**
     * @Author: MTGG
     * @Date: 17:52 2018/7/20
     * @Describe: 查询money  sum
     */
    int getTotalMoney();

    /**
     * @Author: MTGG
     * @Date: 18:07 2018/7/20
     * @Describe: insert
     */
    int insertSelective(MtRecordPO mtRecordPO);
}
